Package org.drinkless.tdlib

# Class TdApi.GetRepliedMessage

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Function<TdApi.Message>
org.drinkless.tdlib.TdApi.GetRepliedMessage

Enclosing class:
  TdApi

public static class TdApi.GetRepliedMessage extends TdApi.Function<TdApi.Message>
Returns information about a non-bundled message that is replied by a given message. Also, returns the pinned message, the game message, the invoice message, the message with a previously set same background, the giveaway message, and the topic creation message for messages of the types messagePinMessage, messageGameScore, messagePaymentSuccessful, messageChatSetBackground, messagePremiumGiveawayCompleted and topic messages without non-bundled replied message respectively.

Returns `Message`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Function

  `TdApi.Function.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `long`
  `chatId`
  Identifier of the chat the message belongs to.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `long`
  `messageId`
  Identifier of the reply message.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GetRepliedMessage()`
  Default constructor for a function, which returns information about a non-bundled message that is replied by a given message.
  `GetRepliedMessage(long chatId, long messageId)`
  Creates a function, which returns information about a non-bundled message that is replied by a given message.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Function

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### chatId

    public long chatId
    Identifier of the chat the message belongs to.

  - ### messageId

    public long messageId
    Identifier of the reply message.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### GetRepliedMessage

    public GetRepliedMessage()
    Default constructor for a function, which returns information about a non-bundled message that is replied by a given message. Also, returns the pinned message, the game message, the invoice message, the message with a previously set same background, the giveaway message, and the topic creation message for messages of the types messagePinMessage, messageGameScore, messagePaymentSuccessful, messageChatSetBackground, messagePremiumGiveawayCompleted and topic messages without non-bundled replied message respectively.

    Returns `Message`

  - ### GetRepliedMessage

    public GetRepliedMessage(long chatId, long messageId)
    Creates a function, which returns information about a non-bundled message that is replied by a given message. Also, returns the pinned message, the game message, the invoice message, the message with a previously set same background, the giveaway message, and the topic creation message for messages of the types messagePinMessage, messageGameScore, messagePaymentSuccessful, messageChatSetBackground, messagePremiumGiveawayCompleted and topic messages without non-bundled replied message respectively.

    Returns `Message`

    Parameters:
      `chatId` - Identifier of the chat the message belongs to.
      `messageId` - Identifier of the reply message.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Function<TdApi.Message>`
    Returns:
      this.CONSTRUCTOR